Name:		vboot-utils
Version:	20130129git68f54d4
Release:	4%{?dist}
Summary:	Verified Boot Utility from Chromium OS
ExcludeArch:	s390 s390x ppc ppc64

Group:		Applications/System
License:	BSD
URL:		http://gitrw.chromium.org/gitweb/?p=chromiumos/platform/vboot_reference.git
Source0:	%{name}-%{version}.tar.bz2


# Patch0 disabled static building.
Patch0:		vboot-utils-00-remove-static-build.patch

## Patch1 fixes printf formating issues that break  the build.
## http://code.google.com/p/chromium-os/issues/detail?id=37804
Patch1:		vboot-utils-01-bmpblk_utility-fix-printf.patch

BuildRequires:	openssl-devel
BuildRequires:	trousers-devel
BuildRequires:	glibc
BuildRequires:	libyaml-devel
BuildRequires:	libstdc++
BuildRequires:	xz-devel
BuildRequires:	libuuid-devel

# for the test scripts
#BuildRequires:	python

%description
Verified boot is a collection of utilities helpful for chromebook computer.
Pack and sign the kernel, manage gpt partitions.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build

%ifarch %{arm}
%global ARCH arm
%endif

%ifarch x86_64
%global ARCH x86_64
%endif

%ifarch i686
%global ARCH i386
%endif


make V=1 ARCH=%{ARCH}



%install
make install V=1 DESTDIR=%{buildroot}%{_bindir} ARCH=%{ARCH}

##
## Removed the test because they fail in mock, but they do work outside of  mock.
## The reason for the failure appears to be related to how they use image files, they might need additional things in /dev I guess.
##
#%%check
#make runtests
#

%files
%{_bindir}/*
%doc LICENSE README

%changelog
* Tue Feb  5 2013 William Cohen <wcohen@redhat.c>  20130129git68f54d4-4
- Correct logic for setting 32-bit/64-bit x86.

* Tue Feb  5 2013 William Cohen <wcohen@redhat.c>  20130129git68f54d4-3
- Disable smp build because of problem with make dependencies

* Mon Feb  4 2013 William Cohen <wcohen@redhat.c>  20130129git68f54d4-2
- spec file clean up.

* Sat Jan  5 2013 Jon Disnard <jdisnard@gmail.com> 20130129git68f54d4-1
- Inception
- Patch0 prevents static building.
- Patch1 fixes minor printf formating bug in c++ code.
- tests disabled as they do not work in mock chroot.

